import { BaseService, Service } from '@/cool';
import { baseUrl } from '@/config/env';
import store from '@/store';

@Service('shop')
export class LevelService extends BaseService {
	downloadGatheringCode(id) {
		console.log('baseUrl',baseUrl);
		return baseUrl + `/shop/gathering-code?id=${id}&token=${store.state.user.token}`;
	}

	downloadGatheringMiniCode(id) {
		return baseUrl + `/shop/gathering-mini-code?id=${id}&token=${store.state.user.token}`;
	}

	downloadApplyMemberCode(id) {
		return (
			baseUrl + `/shop/apply-member-code?id=${id}&token=${store.state.user.token}`
		);
	}
}

export default new LevelService();
